import { b9 as c, bf as x, bv as u, bB as f, dl as m, bO as C, be as y, U as I, V as t, bD as b, P as o, bh as i, bg as s, bi as a, bj as l, bl as w, a0 as n, dm as S, dn as g, bo as V, dp as P, dq as h, bA as v, dr as M } from "./684d2f28.js";
import { useContext as r } from "react";
import { FormDataPropertyView as B } from "./00dac55d.js";
import { getStyle as D, textInputChildren as R, useTextInputProps as T, TextInputBasicSection as q, TextInputInteractionSection as N, TextInputValidationSection as O, inputRefMethods as $, TextInputConfigs as j, fixOldInputCompData as E } from "./0c4ef413.js";
import "react-dom";
import "./d6402597.js";
const F = c(M)`
  ${(e) => e.$style && D(e.$style)}
`, L = {
  ...R,
  viewRef: x,
  showCount: u,
  allowClear: u,
  style: f(m),
  labelStyle: f(C),
  prefixIcon: y,
  suffixIcon: y
};
let U = new I(L, (e) => {
  const [d, p] = T(e);
  return e.label({
    required: e.required,
    children: /* @__PURE__ */ t(F, {
      ...d,
      ref: e.viewRef,
      showCount: e.showCount,
      allowClear: e.allowClear,
      $style: e.style,
      prefix: b(e.prefixIcon) && e.prefixIcon,
      suffix: b(e.suffixIcon) && e.suffixIcon
    }),
    style: e.style,
    labelStyle: e.labelStyle,
    ...p
  });
}).setPropertyViewFn((e) => /* @__PURE__ */ o(i, {
  children: [/* @__PURE__ */ t(q, {
    ...e
  }), /* @__PURE__ */ t(B, {
    ...e
  }), ["layout", "both"].includes(r(s).editorModeStatus) && e.label.getPropertyView(), ["logic", "both"].includes(r(s).editorModeStatus) && /* @__PURE__ */ o(i, {
    children: [/* @__PURE__ */ t(N, {
      ...e
    }), /* @__PURE__ */ t(a, {
      name: l.layout,
      children: w(e)
    }), /* @__PURE__ */ o(a, {
      name: l.advanced,
      children: [e.prefixIcon.propertyView({
        label: n("button.prefixIcon")
      }), e.suffixIcon.propertyView({
        label: n("button.suffixIcon")
      }), e.showCount.propertyView({
        label: n("prop.showCount")
      }), S(e), g(e)]
    }), /* @__PURE__ */ t(O, {
      ...e
    })]
  }), ["layout", "both"].includes(r(s).editorModeStatus) && /* @__PURE__ */ o(i, {
    children: [/* @__PURE__ */ t(a, {
      name: l.style,
      children: e.style.getPropertyView()
    }), /* @__PURE__ */ t(a, {
      name: l.labelStyle,
      children: e.labelStyle.getPropertyView()
    })]
  })]
})).setExposeMethodConfigs($).setExposeStateConfigs([new V("value", n("export.inputValueDesc")), P, h, ...j]).build();
const K = v(U, E);
export {
  K as InputComp
};
